petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSBasicSymplecticSetType

Set the type of the basic symplectic method

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSBasicSymplecticSetType(TS ts,TSBasicSymplecticType bsymptype)

Logically Collective on TS

### Input Parameter

| ts | - timestepping context
| bsymptype | - type of the symplectic scheme

### Options Database

-ts_basicsymplectic_type <scheme> - Notes: The symplectic solver always expects a two-way splitting with the split names being "position" and "momentum". Each split is associated with an IS object and a sub-TS that is intended to store the user-provided RHS function.

### Level

intermediate

### Location

src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

### Implementations

TSBasicSymplecticSetType_BasicSymplectic in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages